KNetwork::KResolverWorkerBase::ResolverLocker Class Reference

`#include <kresolverworkerbase.h>`

## Public Member Functions

| ResolverLocker (KResolverWorkerBase *parent)
| ~ResolverLocker ()
void | openClose ()

## Detailed Description

Helper class for locking the resolver subsystem.

Similar to QMutexLocker.

Author
  Luís Pedro Coelho

Since
  3.4

Definition at line 71 of file kresolverworkerbase.h.

## Constructor & Destructor Documentation

KNetwork::KResolverWorkerBase::ResolverLocker::ResolverLocker | ( | KResolverWorkerBase * | parent | ) |

inline

Constructor.

Acquires a lock.

Definition at line 77 of file kresolverworkerbase.h.

KNetwork::KResolverWorkerBase::ResolverLocker::~ResolverLocker | ( |  | ) |

inline

Destructor.

Releases the lock.

Definition at line 86 of file kresolverworkerbase.h.

## Member Function Documentation

void KNetwork::KResolverWorkerBase::ResolverLocker::openClose | ( |  | ) |

inline

Releases the lock and then reacquires it.

It may be necessary to call this if the resolving function decides to retry.

Definition at line 96 of file kresolverworkerbase.h.

The documentation for this class was generated from the following file:

- kresolverworkerbase.h

KDE Home | KDE Accessibility Home | Description of Access Keys